{% if posts.pagination.pages is not empty %}
<div class="blog-pagination text-center">
    <ul class="flat-pagination">
         
        {# Previous #}
        {% if posts.pagination.prev %}
            <li >
                <a href="{{ posts.pagination.prev.link }}"><i class="fa fa-angle-double-left"></i></a>
            </li>
        
        {% endif %}

        {# Pages #}
        {% for page in posts.pagination.pages %}
            {% if page.link %}
                <li>
                    <a href="{{ page.link }}" class="{{ page.class }}">{{ page.title }}</a>
                </li>
            {% else %}
                <li class="active">
                    <a class="{{ page.class }}">{{ page.title }}</a>
                </li>
            {% endif %}
        {% endfor %}

        {# Next #}
        {% if posts.pagination.next %}
            <li>
                <a href="{{ posts.pagination.next.link }}"><i class="fa fa-angle-double-right"></i></a>
            </li>
        {% endif %}

    </ul>
</div>
{% endif %}
             